# coding: utf-8
from toardb.base import Base

from .models_person import Person
from .models_organisation import Organisation

from sqlalchemy import Table, Column, Integer, String
from sqlalchemy.ext.declarative import declarative_base

# controlled vocabulary

# Kind of Organizations
OK_enum_table = Table("ok_vocabulary",
                Base.metadata,
                Column("enum_val", Integer, primary_key=True),
                Column("enum_str", String),
                Column("enum_display_str", String)
          )
# The following code is just a workaround (see stationmeta/models.py):
from collections import namedtuple
Enumdict=namedtuple("Dict",["value","string","display_str"])
OK_enum = (
    Enumdict(1, 'Government', 'government'),
    Enumdict(2, 'Research', 'research'),
    Enumdict(3, 'International', 'international'),
    Enumdict(4, 'NonProfit', 'non-profit'),
    Enumdict(5, 'Commercial', 'commercial'),
    Enumdict(6, 'Individual', 'individual'),
    Enumdict(7, 'Other', 'other')
    )

